List fees for an account | Moov Documentation

List fees for an account

List fees associated with an account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.read scope.

POST

/accounts/{accountID}/fees/.fetch

Example Requests

Curl

curl -X POST "https://api.moov.io/accounts/{accountID}/fees/.fetch" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

JavaScript

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.feePlans.listFeesFetch({
    accountID: "55c34e26-269d-4872-8e42-0fa83e3f4b10",
  });
  
  console.log(result);
}

run();

PHP

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->feePlans->fetchFees(
    accountID: '55c34e26-269d-4872-8e42-0fa83e3f4b10',
    listFeesFetchRequest: $listFeesFetchRequest
);

if ($response->incurredFees !== null) {
    // handle response
}

Java

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListFeesFetchResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListFeesFetchResponse res = sdk.feePlans().listFeesFetch()
                .accountID("55c34e26-269d-4872-8e42-0fa83e3f4b10")
                .call();

if (res.incurredFees().isPresent()) {
            System.out.println(res.incurredFees().get());
        }
    }
}

Python

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.fee_plans.list_fees_fetch(account_id="55c34e26-269d-4872-8e42-0fa83e3f4b10")

# Handle response
    print(res)

Ruby

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.fee_plans.list_fees_fetch(account_id: '55c34e26-269d-4872-8e42-0fa83e3f4b10')

unless res.incurred_fees.nil?
  # handle response
end

C#

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.FeePlans.ListFeesFetchAsync(accountID: "55c34e26-269d-4872-8e42-0fa83e3f4b10");

// handle response

Response Example

[
  {
    "feeID": "string",
    "accountID": "string",
    "walletID": "string",
    "createdOn": "2019-08-24T14:15:22Z",
    "feeName": "string",
    "amount": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "generatedBy": {
      "transferID": "string",
      "cardID": "string",
      "disputeID": "string",
      "accountID": "string",
      "bankAccountID": "string",
      "invoiceID": "string"
    },
    "feeGroup": "string",
    "residualID": "string"
  }
]